using System.Runtime.Serialization;

namespace Magify.Model
{
    internal enum ProductType
    {
        [EnumMember(Value = "consumable_product_id")]
        Consumable,

        [EnumMember(Value = "non_consumable_product_id")]
        NonConsumable,

        [EnumMember(Value = "subscription_product_id")]
        Subscription,

        [EnumMember(Value = "rewarded_product_id")]
        Rewarded,

        [EnumMember(Value = "bonus_product_id")]
        Bonus,

        [EnumMember(Value = "info_product_id")]
        Info,

        [EnumMember(Value = "external_product_id")]
        ExternalLink,

        [EnumMember(Value = "deeplink_product_id")]
        InternalLink,
        
        [EnumMember(Value = "cross_promo_product_id")]
        CrossPromo,
    }
}