﻿using JetBrains.Annotations;
using Magify.Model;

namespace Magify
{
    internal enum ContextKind
    {
        Default,
        Downloaded,
        Saved,
    }

    internal interface IContextListener
    {
        ConfigScope SuitableScope { get; }
        public void UpdateContext([NotNull] CampaignsContext context, ContextKind kind);
    }
}